/******************************************************************************
 *
 *                                  Fpu_d
 *
 * This module contains the FPU driver for all FPU's. The different parts are
 * separated by ifdef's.
 * The functions in this driver check if there is an FPU on board (in the CFG 
 * register). If there isn't, a proper error message is sent.
 *
 * History:
 *   +----------+------------+------------------------------------------------+
 *   |   Date   |     by     |     Description                                |
 *   +----------+------------+------------------------------------------------+
 *   |          | Coby       | Written                                        |
 *   +----------+------------+------------------------------------------------+
 * 
 *****************************************************************************/

#include "cc_def.h"

#if (CORE_TYPE == SF)


public void get_L0__(binp)
    unsigned	*binp;
{
    binp[0] = save_F0__;
    binp[1] = save_F1__;
}

public void get_L2__(binp)
    unsigned	*binp;
{
    binp[0] = save_F2__;
    binp[1] = save_F3__;
}
public void get_L4__(binp)
    unsigned	*binp;
{
    binp[0] = save_F4__;
    binp[1] = save_F5__;
}
public void get_L6__(binp)
    unsigned	*binp;
{
    binp[0] = save_F6__;
    binp[1] = save_F7__;
}
public void get_L8__(binp)
    unsigned	*binp;
{
    binp[0] = save_F8__;
    binp[1] = save_F9__;
}
public void get_L10__(binp)
    unsigned	*binp;
{
    binp[0] = save_F10__;
    binp[1] = save_F11__;
}
public void get_L12__(binp)
    unsigned	*binp;
{
    binp[0] = save_F12__;
    binp[1] = save_F13__;
}
public void get_L14__(binp)
    unsigned	*binp;
{
    binp[0] = save_F14__;
    binp[1] = save_F15__;
}
public void get_L16__(binp)
    unsigned	*binp;
{
    binp[0] = save_F16__;
    binp[1] = save_F17__;
}
public void get_L18__(binp)
    unsigned	*binp;
{
    binp[0] = save_F18__;
    binp[1] = save_F19__;
}
public void get_L20__(binp)
    unsigned	*binp;
{
    binp[0] = save_F20__;
    binp[1] = save_F21__;
}
public void get_L22__(binp)
    unsigned	*binp;
{
    binp[0] = save_F22__;
    binp[1] = save_F23__;
}
public void get_L24__(binp)
    unsigned	*binp;
{
    binp[0] = save_F24__;
    binp[1] = save_F25__;
}
public void get_L26__(binp)
    unsigned	*binp;
{
    binp[0] = save_F26__;
    binp[1] = save_F27__;
}
public void get_L28__(binp)
    unsigned	*binp;
{
    binp[0] = save_F28__;
    binp[1] = save_F29__;
}
public void get_L30__(binp)
    unsigned	*binp;
{
    binp[0] = save_F30__;
    binp[1] = save_F31__;
}





public void mod_L0__(binp)
    unsigned	*binp;
{
    save_F0__ = binp[0];
    save_F1__ = binp[1];
}

public void mod_L2__(binp)
    unsigned	*binp;
{
    save_F2__ = binp[0];
    save_F3__ = binp[1];
}
public void mod_L4__(binp)
    unsigned	*binp;
{
    save_F4__ = binp[0];
    save_F5__ = binp[1];
}
public void mod_L6__(binp)
    unsigned	*binp;
{
    save_F6__ = binp[0];
    save_F7__ = binp[1];
}
public void mod_L8__(binp)
    unsigned	*binp;
{
    save_F8__ = binp[0];
    save_F9__ = binp[1];
}
public void mod_L10__(binp)
    unsigned	*binp;
{
    save_F10__ = binp[0];
    save_F11__ = binp[1];
}
public void mod_L12__(binp)
    unsigned	*binp;
{
    save_F12__ = binp[0];
    save_F13__ = binp[1];
}
public void mod_L14__(binp)
    unsigned	*binp;
{
    save_F14__ = binp[0];
    save_F15__ = binp[1];
}
public void mod_L16__(binp)
    unsigned	*binp;
{
    save_F16__ = binp[0];
    save_F17__ = binp[1];
}
public void mod_L18__(binp)
    unsigned	*binp;
{
    save_F18__ = binp[0];
    save_F19__ = binp[1];
}
public void mod_L20__(binp)
    unsigned	*binp;
{
    save_F20__ = binp[0];
    save_F21__ = binp[1];
}
public void mod_L22__(binp)
    unsigned	*binp;
{
    save_F22__ = binp[0];
    save_F23__ = binp[1];
}
public void mod_L24__(binp)
    unsigned	*binp;
{
    save_F24__ = binp[0];
    save_F25__ = binp[1];
}
public void mod_L26__(binp)
    unsigned	*binp;
{
    save_F26__ = binp[0];
    save_F27__ = binp[1];
}
public void mod_L28__(binp)
    unsigned	*binp;
{
    save_F28__ = binp[0];
    save_F29__ = binp[1];
}
public void mod_L30__(binp)
    unsigned	*binp;
{
    save_F30__ = binp[0];
    save_F31__ = binp[1];
}





#endif
